using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_GuanLiYuan_ZengJia : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("增加管理员", "网站后台", "增加管理员", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("25");

        DataSet 数据 = (DataSet)Application["UUN_UUN3G_YongHuZu"];
        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            if (行["用户类型"].ToString() == "管理员")
                GuanLiYuanZu.Items.Add(new ListItem(行["组名称"].ToString(), 行["组名称"].ToString()));
        }

        if (this.IsPostBack)
            增加管理员();
    }
    private void 增加管理员()
    {
        String 昵称 = NiChen.Text;
        String 密码 = MiMa.Text;
        String 管理员组 = GuanLiYuanZu.SelectedValue;

        int ZGID = 常用.SQL_最高ID(访问.连接, 程序.数据表前缀+"社区_用户_用户");

        SqlCommand 语句 = new SqlCommand("SELECT [ID] FROM [" + 程序.数据表前缀 + "社区_用户_用户] WHERE [用户类型]='管理员' AND [昵称]=@昵称", 访问.连接);
        语句.Parameters.Add("@昵称", SqlDbType.NVarChar).Value = 昵称;
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.HasRows)
        {
            读取.Close();
            throw new Exception("该昵称已存在，请更换另一个昵称。");
        }
        读取.Close();

        语句 = new SqlCommand("INSERT INTO [" + 程序.数据表前缀 + "社区_用户_用户]([ID],[昵称],[手机号],[标识],[性别],[密码],[用户组],[用户类型])" +
            "VALUES(" + ZGID + ",@昵称,'','',@性别,@密码,@用户组,@用户类型)", 访问.连接);
        语句.Parameters.Add("@昵称", SqlDbType.NVarChar).Value = 昵称;
        语句.Parameters.Add("@性别", SqlDbType.Bit).Value = true;
        语句.Parameters.Add("@密码", SqlDbType.NVarChar).Value = 常用.MD5加密(常用.MD5加密(密码));
        语句.Parameters.Add("@用户组", SqlDbType.NVarChar).Value = 管理员组;
        语句.Parameters.Add("@用户类型", SqlDbType.NVarChar).Value = "管理员";
        语句.ExecuteNonQuery();

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("增加管理员[" + 昵称 + "]", 访问.用户["昵称"].ToString());

        Response.Redirect("GuanLiYuan.aspx");
    }
}
